package cn.com.tenlion.materialstore.pojo.bos.materialstore;

/**
 *
 * @ClassName: MaterialStoreBO
 * @Description: CBC素材包
 * @Author: CodeFactory
 * @Date: 2021-08-24 11:13:38
 * @Version: 3.0
 **/
public class MaterialStoreBO {

    private String materialStoreId;
    private String materialStoreTitle;
    private String materialStoreOpen;
    private Integer materialStoreOrder;
    private String materialStoreStatus;
    private String materialStorePhoto;
    private String materialStoreType;
    private String materialStoreCheckStatus;
    private String materialStoreCheckRemark;
    private String materialStoreMode;
    private String materialStoreUrl;
    private String materialStoreTop;
    private String creator;
    private String gmtCreate;
    private String modifier;
    private String gmtModified;
    private Integer isDelete;

    public String getMaterialStoreId() {
        return materialStoreId == null ? "" : materialStoreId.trim();
    }

    public void setMaterialStoreId(String materialStoreId) {
        this.materialStoreId = materialStoreId;
    }

    public String getMaterialStoreTitle() {
        return materialStoreTitle == null ? "" : materialStoreTitle.trim();
    }

    public void setMaterialStoreTitle(String materialStoreTitle) {
        this.materialStoreTitle = materialStoreTitle;
    }

    public String getMaterialStoreOpen() {
        return materialStoreOpen == null ? "" : materialStoreOpen.trim();
    }

    public void setMaterialStoreOpen(String materialStoreOpen) {
        this.materialStoreOpen = materialStoreOpen;
    }

    public Integer getMaterialStoreOrder() {
        return materialStoreOrder == null ? 0 : materialStoreOrder;
    }

    public void setMaterialStoreOrder(Integer materialStoreOrder) {
        this.materialStoreOrder = materialStoreOrder;
    }

    public String getMaterialStoreStatus() {
        return materialStoreStatus == null ? "" : materialStoreStatus.trim();
    }

    public void setMaterialStoreStatus(String materialStoreStatus) {
        this.materialStoreStatus = materialStoreStatus;
    }

    public String getMaterialStorePhoto() {
        return materialStorePhoto == null ? "" : materialStorePhoto.trim();
    }

    public void setMaterialStorePhoto(String materialStorePhoto) {
        this.materialStorePhoto = materialStorePhoto;
    }

    public String getMaterialStoreType() {
        return materialStoreType == null ? "" : materialStoreType.trim();
    }

    public void setMaterialStoreType(String materialStoreType) {
        this.materialStoreType = materialStoreType;
    }

    public String getMaterialStoreCheckStatus() {
        return materialStoreCheckStatus == null ? "" : materialStoreCheckStatus.trim();
    }

    public void setMaterialStoreCheckStatus(String materialStoreCheckStatus) {
        this.materialStoreCheckStatus = materialStoreCheckStatus;
    }

    public String getMaterialStoreCheckRemark() {
        return materialStoreCheckRemark == null ? "" : materialStoreCheckRemark.trim();
    }

    public void setMaterialStoreCheckRemark(String materialStoreCheckRemark) {
        this.materialStoreCheckRemark = materialStoreCheckRemark;
    }

    public String getMaterialStoreMode() {
        return materialStoreMode == null ? "" : materialStoreMode.trim();
    }

    public void setMaterialStoreMode(String materialStoreMode) {
        this.materialStoreMode = materialStoreMode;
    }

    public String getMaterialStoreUrl() {
        return materialStoreUrl == null ? "" : materialStoreUrl.trim();
    }

    public void setMaterialStoreUrl(String materialStoreUrl) {
        this.materialStoreUrl = materialStoreUrl;
    }

    public String getMaterialStoreTop() {
        return materialStoreTop == null ? "" : materialStoreTop.trim();
    }

    public void setMaterialStoreTop(String materialStoreTop) {
        this.materialStoreTop = materialStoreTop;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
